<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package bwits_school_One
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php
define('CDN', 'http://cdn.bwits.pw/');
?>

        <script type='text/javascript'>
            /* A javascript global for using the CDN inside scripts */
            var CDN = '<?php echo CDN ?>';
        </script>
        <!-- (generated server side from less/style.less) -->
    
       <!-- <img src='<?php echo CDN ?>img/logo.png' /> -->
    
 
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'bwits_school_one' ); ?></a>

	<header id="masthead" class="site-header" role="banner">
	<table class="bwitsmaintoparea"><tr>
	<td class="bwitsC6"><?php get_template_part('inc/date'); ?></td>
	<td class="bwitsC2"></td>
	<td class="bwitsC2"><?php get_template_part('inc/social'); ?></td>
	</tr></table>
	
		<div class="site-branding">
			<?php
			if ( is_front_page() && is_home() ) : ?>
				<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<?php else : ?>
				<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
			<?php
			endif;

			$description = get_bloginfo( 'description', 'display' );
			if ( $description || is_customize_preview() ) : ?>
				<p class="site-description"><?php echo $description; /* WPCS: xss ok. */ ?></p>
			<?php
			endif; ?>
		</div><!-- .site-branding -->

		<nav id="site-navigation" class="main-navigation" role="navigation">
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Primary Menu', 'bwits_school_one' ); ?></button>
			<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
		</nav><!-- #site-navigation -->
	</header><!-- #masthead -->

	<div id="content" class="site-content">
	
	<div class="latestnews_fp">
								<table><tr>
								<td class="latestnews_headlines bwitsC1v5">Latest News: </td>
								<td class=" bwitsC8"><?php echo do_shortcode("[bwitsListLatestleft]"); ?>
								</td></tr></table>
</div>
